| Home | Libraries | People | FAQ | More

## Macro BOOST_VMD_TUPLE_PUSH_BACK

BOOST_VMD_TUPLE_PUSH_BACK — appends an element to the end of a tuple.

## Synopsis

    // In header: <boost/vmd/tuple/push_back.hpp>

    BOOST_VMD_TUPLE_PUSH_BACK(tuple, elem)

## Description

tuple = tuple to to append an element to. elem = element to append.

If the tuple is an empty tuple the result is a tuple with the single element. Otherwise the result is a tuple after adding the element to the end.